# Get Payment Methods

**All payment methods & their supported countries can be retrieved with a GET request.** \
URL: <https://widget.swapped.com/api/v1/merchant/get_payment_methods>\
\
The public key can be appended to filter down the endpoint to only display your available methods. \
\
<https://widget.swapped.com/api/v1/merchant/get_payment_methods?apiKey=YOUR_API_KEY>

{% hint style="warning" %}
The value to use with the [method parameter](https://docs.swapped.com/swapped-ramp/readme/iframe-initialization#optional-parameters) is **payment\_group.**&#x20;
{% endhint %}

Response:

```json
{
  "id": 101,
  "name": "Card",
  "fee": 1.75,
  "slug": "creditcard-extra",
  "default": true,
  "currency": [
    "DKK",
    "GBP",
    "CHF",
    "JPY",
    "BRL",
    "IDR",
    "BGN",
    "VND"
  ],
  "base_fee": {
    "base_fee": 0.35
  },
  "disabled": false,
  "min_fee": 0,
  "min_amount": 7,
  "max_amount": 100000,
  "payment_group": "creditcard",
  "img_url": "https://widget.swapped.com/images/payment/creditcard.svg",
  "img_url_light": "https://widget.swapped.com/images/payment/creditcardlight.svg"
}
```

{% hint style="warning" %}
**Please note: The 'creditcard' payment method includes both credit and debit card transactions.**&#x20;
{% endhint %}

### Response Definition:

* `id`: The payment method ID.
* `name`: The name of the payment method.
* `fee`: The fee percentage as an integer.
* `slug`: The internal name for the payment method.
* `currency`: The currencies the payment method supports.
* `base_fee`: The base fee in EUR for the payment method.&#x20;
* `disabled`: Whether the method is disabled or not.
* `min_fee`: The minimum fee for the payment method in EUR.
* `min_amount`: The minimum amount in EUR that this payment supports.
* `max_amount`: The maximum amount in EUR that this payment supports.
* `payment_group`: The group a payment method belongs to.
* `img_url`: The standard image URL for the payment method logo.
* `img_url_light`: The light theme (dark background) variant image URL for the payment method logo.

The total fee for a method is a combination of `base_fee` + `fee`. i.e. 1.75% of the order total + 0.35 EUR.

If you wish to use this endpoint for testing ingress of payment methods you can include <mark style="color:red;">`include_mock_methods=true`</mark> in your GET request. It appends a fake method to every available country.\
**Please note this parameter is only available in sandbox.**&#x20;

{% hint style="danger" %}
All <kbd><mark style="color:red;">/merchant/<mark style="color:red;"></kbd> endpoints are subject to a global rate limit of **100 requests per second**. Exceeding this limit may result in throttling.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.swapped.com/swapped-ramp/endpoints/onramp-endpoints/get-payment-methods.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
